# PCLL
## Introduction
-----
PCLL (Prompt-Conditioned Lifelong Learning) is build by Conversational AI Team, Alibaba DAMO Academy.

The corresponding paper has been published at EMNLP 2022: "***Prompt Conditioned VAE: Enhancing Generative Replay for Lifelong Learning in Task-Oriented Dialogue***".

## PCLL Implementation 
-----
### Requirements
```
pip install -r requirements.txt
```
### Dataset
The required datasets for intent detection and slot filling tasks are provided under the folder    `DATA`.
The datasets process scripts are also contained `DATA`. You can read the files for more details.

### Model Training and Evaluation
```
sh scripts/intent_all_train.sh # for lifelong intent detection task
sh scripts/slot_all_train.sh # for lifelong slot filling task
```
## Citation
----
If you use our code or find PCLL useful for your work, please cite our paper as:
> @article{he2022galaxy,
  title={GALAXY: A Generative Pre-trained Model for Task-Oriented Dialog with Semi-Supervised Learning and Explicit Policy Injection},
  author={He, Wanwei and Dai, Yinpei and Zheng, Yinhe and Wu, Yuchuan and Cao, Zheng and Liu, Dermot and Jiang, Peng and Yang, Min and Huang, Fei and Si, Luo and others},
  journal={Proceedings of the AAAI Conference on Artificial Intelligence},
  year={2022}
}


